<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>        := <a href="VIEW_SLOT.html"><font color="#008000">VIEW_SLOT</font></a>;
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong>     :=<font color="#BC8F8F">"Reflexivity view slot."</font>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>  
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> General information.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B>- name:STRING_CONSTANT <- `FUCK`;</B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B>- is_shared:BOOLEAN <- `FUCK`; </B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> TRUE if '-' style, FALSE else.</B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B>- is_data:BOOLEAN <- `FUCK`;</B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B>- is_method:BOOLEAN <- ! is_data;</B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B>- section:STRING_CONSTANT <- `FUCK`;</B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Result analysis.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B>- result:VIEW_OBJECT <-</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Return the first result.  </B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>[</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>  -? {upper_result = 0};</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>]</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>(</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>  `FUCK`</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>);</B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B>- lower_result:INTEGER := 0;  </B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B>- upper_result:INTEGER <-</B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B>- item_result idx:INTEGER :VIEW_OBJECT <-</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>[</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>  -? {in_range lower_result to upper_result};</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>]</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>(</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>  `FUCK`</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>);</B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Arguments access.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B>- lower_argument:INTEGER := 0;</B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B>- upper_argument:INTEGER <- `FUCK`;</B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B>- item_argument idx:INTEGER :VIEW_OBJECT <-</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>[</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>  -? {in_range lower_argument to upper_argument};</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>]</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>(</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>  `FUCK`</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>);</B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Call.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B>- call_with args:BLOCK :BLOCK <- `FUCK`;</B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B>- call:BLOCK <- </B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>(</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>  call_with NULL</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>);</B></font>
 
</body>
</html>
 